image:  registry.gitlab.com/skn_mos/piwo/libraries/libpiwo:latest
stages:
    - build
    - test

linux-build:
    stage: build
    variables:
      GIT_SUBMODULE_STRATEGY: recursive
    script:
        - scripts/build-static-all-linux.sh

win-build:
    stage: build
    variables:
      GIT_SUBMODULE_STRATEGY: recursive
    script:
        - scripts/build-static-all-windows.sh

run-tests:
    stage: test
    variables:
      GIT_SUBMODULE_STRATEGY: recursive
    script:
        - scripts/build-static-all-tests-linux.sh
        - ctest --test-dir build-static-all-tests-linux/ -j$(nproc) --output-on-failure

clang-format-check:
    stage: test
    script:
        - if [ "${CI_MERGE_REQUEST_TARGET_BRANCH_NAME}" == "" ]; then git fetch origin master --depth 1; tools/format-check origin/master; else git fetch origin/${CI_MERGE_REQUEST_TARGET_BRANCH_NAME} --depth 1; tools/format-check "${CI_MERGE_REQUEST_TARGET_BRANCH_NAME}"; fi

